Cantera 2.6.0

Public Member Functions | List of all members
Exp1 Class Reference

implements the exponential function More...

`#include <Func1.h>`

Inheritance diagram for Exp1:
[legend]
Collaboration diagram for Exp1:
[legend]

## Public Member Functions
| Exp1 (doublereal A=1.0)
| Exp1 (const Exp1 &b)
Exp1 & | operator= (const Exp1 &right)
virtual std::string | write (const std::string &arg) const
virtual int | ID () const
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
Public Member Functions inherited from Func1
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual int | ID () const
doublereal | operator() (doublereal t) const
| Calls method eval to evaluate the function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same. More...
virtual doublereal | isProportional (TimesConstant1 &other)
virtual doublereal | isProportional (Func1 &other)
virtual std::string | write (const std::string &arg) const
doublereal | c () const
| accessor function for the stored constant More...
void | setC (doublereal c)
| Function to set the stored constant. More...
Func1 & | func1 () const
| accessor function for m_f1 More...
Func1 & | func2 () const
| accessor function for m_f2 More...
virtual int | order () const
| Return the order of the function, if it makes sense. More...
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Additional Inherited Members
Protected Attributes inherited from Func1
doublereal | m_c
Func1 * | m_f1
Func1 * | m_f2
Func1 * | m_parent

## Detailed Description

implements the exponential function

Definition at line 212 of file Func1.h.

## Constructor & Destructor Documentation

## ◆ Exp1() [1/2]

Exp1 | ( | doublereal | A = `1.0` | ) |
| inline

Definition at line 215 of file Func1.h.

## ◆ Exp1() [2/2]

Exp1 | ( | const Exp1 & | b | ) |
| inline

Definition at line 220 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

Exp1 & operator= | ( | const Exp1 & | right | ) |
| inline

Definition at line 223 of file Func1.h.

## ◆ write()

std::string write | ( | const std::string & | arg | ) | const
| virtual

Reimplemented from Func1.

Definition at line 191 of file Func1.cpp.

## ◆ ID()

virtual int ID | ( |  | ) | const
| inline virtual

Reimplemented from Func1.

Definition at line 231 of file Func1.h.

## ◆ duplicate()

virtual Func1 & duplicate | ( |  | ) | const
| inline virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Reimplemented from Func1.

Definition at line 234 of file Func1.h.

## ◆ eval()

virtual doublereal eval | ( | doublereal | t | ) | const
| inline virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 237 of file Func1.h.

## ◆ derivative()

Func1 & derivative | ( |  | ) | const
| virtual

Creates a derivative to the current function.

This will create a new derivative function and return a reference to the function.

Reimplemented from Func1.

Definition at line 181 of file Func1.cpp.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp